Bug 11235

Summary: MS_* constants missing from <sys/mount.h>
Product: glibc Reporter: Michael Kerrisk <mtk.manpages>
Component: libcAssignee: Ulrich Drepper <drepper.fsp>
Status: RESOLVED FIXED    
Severity: normal CC: glibc-bugs
Priority: P2 Flags: fweimer: security-
Version: 2.12   
Target Milestone: ---   
Host: Target:
Build: Last reconfirmed:

Description Michael Kerrisk 2010-01-29 11:47:41 UTC
Various Linux MS_* constants used with mount(2) are not provided in
<sys/mount.h>. The following should be added (see <linux/fs.h>):

MS_DIRSYNC
MS_MOVE
MS_REC
MS_UNBINDABLE
MS_PRIVATE
MS_SHARED
MS_RELATIVE
MS_STRICTATIME
Comment 1 Ulrich Drepper 2010-02-03 14:56:28 UTC
Fixed in git.
Comment 2 mtk.manpages@googlemail.com 2010-02-03 19:35:24 UTC
Subject: Re:  MS_* constants missing from <sys/mount.h>

On Wed, Feb 3, 2010 at 3:56 PM, drepper at redhat dot com
<sourceware-bugzilla@sourceware.org> wrote:
>
> ------- Additional Comments From drepper at redhat dot com  2010-02-03 14:56 -------
> Fixed in git.

Thanks!

Comment 3 cvs-commit@gcc.gnu.org 2016-11-15 20:57:07 UTC
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GNU C Library master sources".

The branch, master has been updated
       via  6ab707ba03605e11677e92db84fb65948c2fe908 (commit)
      from  48b17f058917507b35b64593fe9be622a0f54c32 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=6ab707ba03605e11677e92db84fb65948c2fe908

commit 6ab707ba03605e11677e92db84fb65948c2fe908
Author: Rical Jasan <ricaljasan@pacific.net>
Date:   Sun Nov 13 00:29:27 2016 -0800

    manual: Remove non-existent mount options S_IMMUTABLE and S_APPEND [BZ #11235]
    
    These were removed in 2010, while addressing [BZ #11235].
    This commit removes their documentation from the manual.

-----------------------------------------------------------------------

Summary of changes:
 ChangeLog           |    5 +++++
 manual/sysinfo.texi |   14 --------------
 2 files changed, 5 insertions(+), 14 deletions(-)